No announcement yet.

Unable to install, BPA shows wrong version

  • Filter
  • Time
  • Show
Clear All
new posts

  • Unable to install, BPA shows wrong version

    I'm trying to prepare for exchange 2007 migration.
    Currently I have 2 windows servers (both DCs), one is 2003 R2 with SP2, other is 2003 SP2, with Exchange 2003 SP2 installed on one of them.
    Schema master is R2 SP2.
    Both DCs are running Polish operating systems.

    I'm running BPA exchange 2007 readiness check and I'm getting error:

    *************************** cut ***************************
    The Schema Master role 'server.domain.local' is not running Windows Server
    2003 Service Pack 1 or later. Exchange Server 2007 requires this minimum
    version to support new permission structures.
    Active Directory site 'Site_name' does not contain any global catalog
    servers running Windows Server 2003 Service Pack 1 or later. This will
    prevent Exchange 2007 servers from being installed into site 'Site_name'.
    *************************** cut ***************************

    I reinstalled SP2 on one of the servers, the one which is not running Exchange 2003.
    BPA still says: Domain controller 'dcs.xxxxxxx.xxxx is running Windows Server 2003 (original release). Exchange Server 2007 will only use domain
    controllers running Windows Server 2003 Service Pack 1 or later.
    I'm using BPA version 2.8.7926.0 with latest configuration file.

    Then I used WMI script to get OSes versions via ADSI and I got in response:

    Operating System: Microsoft(R) Windows(R) Server 2003, Standard Edition
    Service Pack: 2.0
    from both machines.
    The only thing which is still unclear for me - both DCs uses Polish operating system and I remember a while ago problems with BPA on non-English OS.
    The vital information would be - what is queried during BPA check? AD, registry? What attributes/keys? I could fool BPA by changing what it wants
    to see, but I can't find any info about what and where is being queried.

    Thanks for any help.

  • #2
    Re: Unable to install, BPA shows wrong version

    I found solution, looks like there is bug with BPA, at least with Polish versions of Windows.
    Version value is beeing compared with LDAP search resoult for:
    CN=DCNAME,OU=Domain Controllers,DC=firma,DC=sa

    and Attribute: operatingSystemServicePack In EN version it has Value "Service Pack 2" in POLISH it has Value: "Dodatek Service Pack 2"

    similar to Exchange Article 827784 "0XC007FFFF (65536): An Unknown Error Has Occurred" Error Message When You Run Exchange Server 2003 Setup;EN-US;827784
    there is already a workaround proposed by changing the OperatingSystemServicePack attribute manually with ADSI to the needed value.